require( "scripts/style.lua" );



TitleFont = {
  oldsansblackFont,
  70,
  DarkBlueColor
};


MakeDialog
{
	-- Name the modal dialog
	name="creditswindow",
	x=0,
	y=0,
	w = 1024, h = 768,
	fit = true,
	CreditsWindow
	{
		name="credits",
		alpha = 0.99,
		x = 0, y = 0,
		w = 1024, h = 768,
		font = standardFont,
		fontsize = 24,
		fontcolor = DarkBlueColor,
		headersize = 24,
		headerColor = "7A0000",
		columngap = 50,
		columnwidth = 325,
		time = 60000, 		-- Time to play credits in milliseconds
		intropause = 0, 	-- Time to pause credits at start, in ms
		stopon = 0.0,       --page to stop (0 for eternal loop)
		file = "credits/creditsnanny.txt",
		smokex = 40,
		smokey = 180,
		normalcredits = 1,
	},
	
		SetStyle( MenuButtonStyle ),
		Button
		{
			name = "creditsback",
			x=0,
			y=719,
			graphics = MediumButton2Graphics,
			--MenuButtonLabel(50, 5, 48, 5, "back", oldsansblackFont, 24, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),
			MenuButtonLabel(0, 0, 152, 34, "back", oldsansblackFont, 24, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),
			command=
				function()
					SwapToModal("scripts/mainmenu.lua");
					--SwapToModal("scripts/map.lua");
				end
		},
		
}